| Home | Libraries | People | FAQ | More

##### basic_static_string::assign (1 of 9 overloads)

Assign to the string.

###### Synopsis

    constexpr basic_static_string&
    assign(
        size_type count,
        value_type ch);

###### Description

Replaces the contents with `count` copies of character `ch`.

###### Complexity

Linear in `count`.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`count` | The size of the resulting string.
`ch` | The value to initialize characters of the string with.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `count > max_size()`.